diff -uwrN source/scripts/jfwdef.cpp sourceold/scripts/jfwdef.cpp
--- source/scripts/jfwdef.cpp	2016-11-14 17:23:06.984631200 +1000
+++ sourceold/scripts/jfwdef.cpp	2016-10-31 07:17:12.507013500 +1000
@@ -231,7 +231,6 @@
 		params.AttackCheckBlocked = false;
 		Commands->Action_Attack(obj,params);
 		attacktimer = Get_Float_Parameter("AttackTimer");
-		Stop_Timer2(obj,this,2);
 		Commands->Start_Timer(obj,this,attacktimer,2);
 	}
 }
@@ -360,7 +359,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 		}
 	}
@@ -490,7 +488,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 		}
 	}
@@ -619,7 +616,6 @@
 		params.AttackCheckBlocked = false;
 		Commands->Action_Attack(obj,params);
 		attacktimer = Get_Float_Parameter("AttackTimer");
-		Stop_Timer2(obj,this,2);
 		Commands->Start_Timer(obj,this,attacktimer,2);
 		if (primary)
 		{
@@ -758,7 +754,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 			if (primary)
 			{
@@ -898,7 +893,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 			if (primary)
 			{
@@ -995,7 +989,6 @@
 		popup = true;
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 		Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-		Stop_Timer2(obj,this,1);
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 	}
 	else if (attack)
@@ -1056,7 +1049,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -1118,7 +1110,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -1179,7 +1170,6 @@
 		popup = true;
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 		Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-		Stop_Timer2(obj,this,1);
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 	}
 	else if (attack)
@@ -1250,7 +1240,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -1322,7 +1311,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -1433,7 +1421,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 		}
 	}
@@ -1532,7 +1519,6 @@
 				params.AttackCheckBlocked = false;
 				Commands->Action_Attack(obj,params);
 				attacktimer = Get_Float_Parameter("AttackTimer");
-				Stop_Timer2(obj,this,2);
 				Commands->Start_Timer(obj,this,attacktimer,2);
 			}
 		}
@@ -1601,7 +1587,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 		}
 	}
@@ -1732,7 +1717,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 			if (primary)
 			{
@@ -1872,7 +1856,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 			if (primary)
 			{
@@ -1971,7 +1954,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2033,7 +2015,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2096,7 +2077,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2168,7 +2148,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2238,7 +2217,6 @@
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 		Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 		Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-		Stop_Timer2(obj,this,1);
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 	}
 	else if (attack)
@@ -2300,7 +2278,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2363,7 +2340,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2425,7 +2401,6 @@
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 		Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 		Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-		Stop_Timer2(obj,this,1);
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 	}
 	else if (attack)
@@ -2497,7 +2472,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2570,7 +2544,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2642,7 +2615,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2705,7 +2677,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2769,7 +2740,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2842,7 +2812,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -2952,7 +2921,6 @@
 		params.AttackCheckBlocked = false;
 		Commands->Action_Attack(obj,params);
 		attacktimer = Get_Float_Parameter("AttackTimer");
-		Stop_Timer2(obj,this,2);
 		Commands->Start_Timer(obj,this,attacktimer,2);
 	}
 }
@@ -3303,7 +3271,6 @@
 		popup = true;
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 		Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-		Stop_Timer2(obj,this,1);
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 	}
 	else if (attack)
@@ -3366,7 +3333,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -3430,7 +3396,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -3534,7 +3499,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 		}
 	}
@@ -3666,7 +3630,6 @@
 			params.AttackCheckBlocked = false;
 			Commands->Action_Attack(obj,params);
 			attacktimer = Get_Float_Parameter("AttackTimer");
-			Stop_Timer2(obj,this,2);
 			Commands->Start_Timer(obj,this,attacktimer,2);
 		}
 	}
@@ -3758,7 +3721,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -3822,7 +3784,6 @@
 			popup = true;
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -3885,7 +3846,6 @@
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 		Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 		Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-		Stop_Timer2(obj,this,1);
 		Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 	}
 	else if (attack)
@@ -3949,7 +3909,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -4014,7 +3973,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -4079,7 +4037,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
@@ -4144,7 +4101,6 @@
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("PopupTime"),2);
 			Commands->Set_Animation(obj,Get_Parameter("Animation"),false,0,0,Get_Float_Parameter("LastFrame"),false);
 			Commands->Create_Sound(Get_Parameter("Sound"),Commands->Get_Position(enemy),obj);
-			Stop_Timer2(obj,this,1);
 			Commands->Start_Timer(obj,this,Get_Float_Parameter("AttackTimer"),1);
 		}
 		else if (attack)
diff -uwrN source/scripts/jmgBearHunter.cpp sourceold/scripts/jmgBearHunter.cpp
--- source/scripts/jmgBearHunter.cpp	2016-12-14 05:47:13.345801000 +1000
+++ sourceold/scripts/jmgBearHunter.cpp	2016-10-31 07:17:12.532013500 +1000
@@ -3185,12 +3185,12 @@
 	Set_Skin(obj,"Blamo");
 	Commands->Set_Shield_Type(obj,"Blamo");
 	int finalMultiplier = JMG_Bear_Hunter_Game_Control::spawnKarma > 3 ? JMG_Bear_Hunter_Game_Control::spawnKarma : 1;
-	Set_Max_Health(obj,JmgUtility::MathClampInt(Get_Player_Count()+1,1,64)*31.125f*finalMultiplier);
-	Commands->Set_Health(obj,JmgUtility::MathClampInt(Get_Player_Count()+1,1,64)*31.125f*finalMultiplier);
-	if (JmgUtility::MathClampInt(Get_Player_Count()+1,1,64)*31.125f >= 2000.0f)
+	Set_Max_Health(obj,JmgUtility::MathClampInt(Get_Player_Count()+1,1,64)*41.5f*finalMultiplier);
+	Commands->Set_Health(obj,JmgUtility::MathClampInt(Get_Player_Count()+1,1,64)*41.5f*finalMultiplier);
+	if (JmgUtility::MathClampInt(Get_Player_Count()+1,1,64)*41.5f >= 2000.0f)
 	{
-		Set_Max_Shield_Strength(obj,JmgUtility::MathClampInt(Get_Player_Count()-64,0,64)*31.125f*finalMultiplier);
-		Commands->Set_Shield_Strength(obj,JmgUtility::MathClampInt(Get_Player_Count()-64,0,64)*31.125f*finalMultiplier);
+		Set_Max_Shield_Strength(obj,JmgUtility::MathClampInt(Get_Player_Count()-64,0,64)*41.5f*finalMultiplier);
+		Commands->Set_Shield_Strength(obj,JmgUtility::MathClampInt(Get_Player_Count()-64,0,64)*41.5f*finalMultiplier);
 	}
 	else
 		Set_Max_Shield_Strength(obj,0.0f);
